input[type="radio"] {
  width: 16px;
  height: 16px;
  border: 1px solid #2d3333;
  border-radius: 50%;
  outline: none;
  // box-shadow:0 0 5px 0px gray inset;
  // position: relative;
  top: 50%;
  transform: translateY(-50%);
  margin-top: 0;
  // transform: scale(2);
}
input[type="radio"]:not([disabled]) {
  -webkit-appearance: none;
}

input[type="radio"]:checked {
  border-color: $secondary;
}

input[type="radio"]:hover {
  box-shadow: 0 0 5px 0px $secondary;
  border-color: $secondary;
}

input[type="radio"]:before {
  content: "";
  display: block;
  width: 10px;
  height: 10px;
  // margin: 1px;
  border-radius: 50%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
input[type="radio"]:checked:before {
  background: $secondary;
}
.form-group {
  margin-bottom: 0.75rem;
}
.form-check {
  &.form-check-inline {
    input[type="radio"] {
      top: initial;
      left: initial;
      transform: none;
    }
    input[type="radio"]:before {
      content: "";
      width: 14px;
      height: 14px;
      border: 2px solid #fff;
      // margin: 1px;
      left: initial;
      top: initial;
      transform: none;
    }
  }
}

.custom-control-label::before {
  background-color: #fff;
  box-shadow: none;
}

label {
  &.input-with-icon {
    position: relative;
    display: block;

    .form-control {
      padding-left: 48px;
    }
    img {
      position: absolute;
      left: 14px;
      top: 14px;
      // transform: translateY(-50%);
      z-index: 9;
    }

    &.icon-append {
      .form-control {
        padding-left: 14px;
        padding-right: 48px;
      }
      img {
        position: absolute;
        right: 14px;
        left: auto;
        top: 14px;
        // transform: translateY(-50%);
      }
    }
  }
}

// .form-control,
// .custom-select {
//   padding: 12px 14px;
//   height: calc(1.5em + 1.375rem + 2px);
//   font-family: "Lato", sans-serif;

//   &:hover {
//     border-color: #55C5CE;
//   }
//   &:focus {
//     box-shadow: 0px 0px 4px #66CCCC;
//   }
// }

select {
  &.cstm-arrow-red {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-image: url("../images/chevron_left.png");
    background-repeat: no-repeat, repeat;
    background-position: right 0.7em top 50%, 0 0;
    padding-right: 38px;
  }
}

/* The checkbox-wrap */
.checkbox-wrap {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 0;
  cursor: pointer;
  font-size: 14px;
  line-height: 24px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-wrap input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  height: 14px;
  width: 14px;
  background-color: #fff;
  border: 1px solid #2d3333;
  box-sizing: border-box;
  border-radius: 4px;
}

/* On mouse-over, add a grey background color */
.checkbox-wrap:hover input ~ .checkmark {
  background-color: #fff;
  border-color: $secondary;
  box-shadow: 0px 0px 4px #66cccc;
}

/* When the checkbox is checked, add a blue background */
.checkbox-wrap input:checked ~ .checkmark {
  background-color: $secondary;
  border-color: $secondary;
  // background-image:url('../images/checkbox_tick_24px.png') no-repeat;
  content: url("../images/checkbox_tick_24px.png");
  padding: 3px 2px;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-wrap input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-wrap .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.input-error-cstm {
  position: absolute;
  right: 1rem;
  top: 21px;
  transform: translateY(-50%);
}

.promo-invalid {
  position: relative;
  flex-direction: column !important;
}

.login-page-wrap {
  .form-wrap-content {
    @media (min-width: 768px) {
      margin: 0 6px;
    }
  }
  h3 {
    font-size: 28px;
    line-height: 36px;
    margin-bottom: 32px;
    font-weight: 600;
    text-align: center;

    @media (min-width: 768px) {
      text-align: left;
      font-size: 32px;
      line-height: 40px;
    }
  }
  .forgot-pwd {
    font-size: 14px;
    line-height: 14px;
    display: block;
    text-align: right;
    margin-bottom: 1rem;
    @media (min-width: 768px) {
      margin-bottom: 0.5rem;
    }
  }
  .btn {
    margin-top: 52px;
    margin-bottom: 18px;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
    height: 48px;
    border-radius: 8px;
  }

  .divider-line {
    width: 100%;
    height: 1px;
    background-color: $danger;
    margin: 60px 0;
    @media (min-width: 768px) {
      margin: 0;
      height: 422px;
      width: 1px;
      margin: auto;
    }
  }
  h4 {
    line-height: 2rem;
    text-align: center;
    margin-bottom: 2.5rem;
    @media (min-width: 768px) {
      text-align: left;
      margin-bottom: 2rem;
    }
  }

  .display-3 {
    font-size: 32px;
    font-weight: 300;
    line-height: 39px;
    text-align: center;
    color: $secondary;

    @media (min-width: 768px) {
      text-align: left;
    }
  }

  .list-unstyled {
    margin-bottom: 0;
    li {
      font-weight: 500;
      display: flex;
      align-items: center;
      margin-bottom: 2rem;
      img {
        margin-right: 14px;
      }
    }
  }
}

// .was-validated .form-control:valid, .form-control.is-valid {
//   background-image: none;
// }

// .was-validated .form-control:invalid, .form-control.is-invalid {
//   background-image: url('../images/input_error.png');
// }

// .was-validated .custom-select:invalid, .custom-select.is-invalid {
// background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 0.75rem center/8px 10px, url("../images/input_error.png") #fff no-repeat center right 1.75rem/calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
// }

.select2-container--bootstrap4 .select2-results__option--highlighted,
.select2-container--bootstrap4 .select2-results__option--highlighted.select2-results__option[aria-selected="true"] {
  background-color: $secondary;
}
.select2-container--bootstrap4.select2-container--focus .select2-selection {
  border-color: lighten($secondary, 50%);
}

label {
  margin-bottom: 0.25rem;
  font-size: 13px;
}
label:not(.form-check-label):not(.custom-file-label) {
  font-weight: 400;
}
.input-group-text {
    &.cstm {
    background: #f5f5f9;
    color: #999;
  }
}

.form-control:disabled,
.form-control[readonly],
.select2-container--default.select2-container--disabled .select2-selection--single {
  background-color: #f5f5f9;
}


.form-control {
  &:focus {
    border-color: $secondary;
  }
}

.custom-control-input:checked ~ .custom-control-label::before {
  border-color: $secondary;
  background-color: $secondary;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  background-color: $secondary;
  border-color: $secondary;
}
.select2-container--default.select2-container--open .select2-selection--single,
.select2-container--default .select2-dropdown .select2-search__field, .select2-container--default .select2-search--inline .select2-search__field,
.select2-container--default .select2-dropdown .select2-search__field:focus, .select2-container--default .select2-search--inline .select2-search__field:focus,
.select2-container--default.select2-container--focus .select2-selection--single, .select2-container--default.select2-container--focus .select2-selection--multiple {
  border-color: $secondary;
}

.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[aria-selected]:hover {
  background-color: $secondary;
}

.col-form-label {
  font-size: 13px;
  padding-top: calc(0.375rem + 0px);
  padding-bottom: calc(0.375rem + 0px)
}

// this is use for Column visibility dropdown
.cstm-label-text {
  position: relative;
  top: -3px;
  position: relative;
  top: -2px;
  margin: 0;
  padding-left: 5px;
  font-size: 14px;
}
.cstm-column-visibility {
  .dropdown-item,
  .cstm-label-text {
    cursor: pointer;
  }
}
// end this is use for Column visibility dropdown





/* The checkbox-wrap */
.checkbox-wrap {
  display: block;
  position: relative;
  padding-left: 20px;
  margin-bottom: 0;
  cursor: pointer;
  font-size: 13px;
  line-height: 24px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-wrap input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  height: 14px;
  width: 14px;
  background-color: #fff;
  border: 1px solid #ced4da;
  box-sizing: border-box;
  border-radius: 3px;
}

/* On mouse-over, add a grey background color */
.checkbox-wrap:hover input ~ .checkmark {
  background-color: #fff;
  border-color: $secondary;
  box-shadow: 0px 0px 4px #66CCCC;
}

/* When the checkbox is checked, add a blue background */
.checkbox-wrap input:checked ~ .checkmark {
  background-color: $secondary;
  border-color: $secondary;
  // background-image:url('../images/checkbox_tick_24px.png') no-repeat;
  content: url("../images/checkbox_tick_24px.png");
  padding: 1px 1px;
  
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-wrap input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-wrap .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
